%define name    vigra
%define version 1.10.0
%define release %mkrel 1
%define major   5
%define libname %mklibname %{name} %{major}
%define olddevel %libname-devel
%define libnamedevel %mklibname %{name} -d

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Generic Programming for Computer Vision
License:        MIT
Group:          System/Libraries
Source0:        http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra/%{name}-%{version}-src.tar.xz
URL:            http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra/
#------------------------------------
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}fftw-devel >= 3
BuildRequires: %{_lib}hdf5-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}OpenEXR-devel
BuildRequires: zlib1-devel
BuildRequires: cmake
BuildRequires: hdf5-devel
BuildRequires: doxygen
BuildRequires: python-sphinx
BuildRequires: python-numpy-devel

%description
VIGRA stands for "Vision with Generic Algorithms". It's a novel computer vision
library that puts its main emphasis on customizable algorithms and data
structures. By using template techniques similar to those in the C++ Standard
Template Library, you can easily adapt any VIGRA component to the needs of your
application without thereby giving up execution speed.

%package devel
Summary: Development tools for programs which will use the vigra library
Group: Development/Libraries
Requires: vigra
Requires: python-sphinx python-numpy

%description devel
The vigra-devel package includes the header files necessary for developing
programs that use the vigra library.

%package python
Summary: Python interface for the vigra computer vision library
Group: Development/Python
Requires: vigra
Requires: python-numpy-devel 

%description python
The vigra-python package provides python bindings for vigra

%prep
%setup -q -n %{name}-%{version}

%build
%cmake -DDOCINSTALL=share/doc/%{name} -DWITH_OPENEXR=ON

%make VERBOSE=1


%install
rm -rf %buildroot
%makeinstall_std -C build

%files
%defattr(-,root,root)
%{_libdir}/libvigraimpex.so.*

%files devel
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}
%{_bindir}/vigra-config
%{_includedir}/vigra
%{_libdir}/libvigraimpex.so
%{_libdir}/vigra
%{_libdir}/vigranumpy


%files python
%defattr(-,root,root)
%{python_sitearch}/vigra

%clean
rm -rf %buildroot

%changelog
* Sun Oct 11 2015 MBantz <martin dot bantz at gmail dot com> 1.10.0-1pclos2015
- Add openexr support
- Update to 1.10.0

* Mon Feb 17 2014 bb <bb> 1.9.0-1pclos2014
- import into pclos for new enblend
